Blame SOURCES/0467-TEST-ISCSI-fix-command-check.patch

ace748
From 13a61f82ba6379d407d45bb9225099cd755e3c5b Mon Sep 17 00:00:00 2001
ace748
From: Harald Hoyer <harald@redhat.com>
ace748
Date: Fri, 11 Nov 2016 11:34:33 +0100
ace748
Subject: [PATCH] TEST-ISCSI: fix command check
ace748
ace748
---
ace748
 test/TEST-30-ISCSI/test.sh | 4 ++--
ace748
 1 file changed, 2 insertions(+), 2 deletions(-)
ace748
ace748
diff --git a/test/TEST-30-ISCSI/test.sh b/test/TEST-30-ISCSI/test.sh
1755ca
index 62bef9cc..da86b837 100755
ace748
--- a/test/TEST-30-ISCSI/test.sh
ace748
+++ b/test/TEST-30-ISCSI/test.sh
ace748
@@ -136,8 +136,8 @@ test_run() {
ace748
 }
ace748
 
ace748
 test_setup() {
ace748
-    if [ ! -x /usr/sbin/iscsi-target ]; then
ace748
-        echo "Need iscsi-target from netbsd-iscsi"
ace748
+    if ! command -v tgtd &>/dev/null || ! command -v tgtadm &>/dev/null; then
ace748
+        echo "Need tgtd and tgtadm from scsi-target-utils"
ace748
         return 1
ace748
     fi
ace748